# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAppDCOPInterface Class Reference

This is the main interface to the KApplication. DCOP interface to KApplication. More...

`#include <kappdcopiface.h>`

Inheritance diagram for KAppDCOPInterface:

[legend]
Collaboration diagram for KAppDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions

void | disableSessionManagement ()
| Disable current applications session management.
QCString | startupId ()
QCString | caption ()
void | quit ()

## Public Member Functions

| KAppDCOPInterface (KApplication *theKapp)
| Construct a new interface object.
| ~KAppDCOPInterface ()
| Destructor Cleans up the dcop connection.

## Detailed Description

This is the main interface to the KApplication. DCOP interface to KApplication.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@yahoo.com>

Definition at line 36 of file kappdcopiface.h.

## Constructor & Destructor Documentation

KAppDCOPInterface::KAppDCOPInterface | ( | KApplication * | theKapp | ) |

Construct a new interface object.

Parameters:

  KApplication | - The parent KApplication object that will provide us with the functional interface.

Definition at line 25 of file kappdcopiface.cpp.

KAppDCOPInterface::~KAppDCOPInterface | ( |  | ) |

| Destructor Cleans up the dcop connection. Definition at line 31 of file kappdcopiface.cpp.

## Member Function Documentation

void KAppDCOPInterface::disableSessionManagement | ( |  | ) |

| Disable current applications session management. Definition at line 35 of file kappdcopiface.cpp.

The documentation for this class was generated from the following files:

- kappdcopiface.h
- kappdcopiface.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:47:12 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001